package com.huiju.estateagents.eContract.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.bo.request.ContractRecordRequestBO;
import com.huiju.estateagents.eContract.entity.TaContract;
import com.huiju.estateagents.eContract.mapper.TaContractMapper;
import com.huiju.estateagents.eContract.service.ITaContractService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 合同列表  服务实现类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Service
@Slf4j
public class TaContractServiceImpl extends ServiceImpl<TaContractMapper, TaContract> implements ITaContractService {

    @Autowired
    private TaContractMapper taContractMapper;

    @Override
    public ResponseBean listContractForChannel(ContractRecordRequestBO requestBO) {
        log.info("TaContractServiceImpl.listContractForChannel 接收参数:{}", JSONObject.toJSONString(requestBO));

        ResponseBean responseBean = new ResponseBean();

        IPage<TaContract> pg = new Page<>(requestBO.getPageNum(), requestBO.getPageSize());
        pg = taContractMapper.listContractForChannel(pg, requestBO);
        responseBean.addSuccess(pg);
        return responseBean;
    }
}
